## libkdegames 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

set(KDEGAMES_VERSION 7.5.0)
set(KDEGAMES_SOVERSION 7)

project(libkdegames VERSION ${KDEGAMES_VERSION})

set (QT_MIN_VERSION "5.15.0")
set (KF_MIN_VERSION "5.98.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateExportHeader)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(FeatureSummary)
include(CMakePackageConfigHelpers)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Widgets
    Qml
    Quick
    QuickWidgets
    Svg
    Test
)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat)
endif()

find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Archive
    Completion
    Config
    ConfigWidgets
    DNSSD
    GuiAddons
    IconThemes
    I18n
    NewStuff
    Service
    XmlGui
    WidgetsAddons
)

include(InternalMacros)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(HIGHSCORE_DIRECTORY "" CACHE STRING "Where to install system-wide highscores e.g. /var/games")

find_package(OpenAL)
set_package_properties(OpenAL PROPERTIES
    URL "https://www.openal.org/"
    TYPE REQUIRED
)

find_package(SndFile)
set_package_properties(SndFile PROPERTIES
    URL "http://www.mega-nerd.com/libsndfile/"
    TYPE REQUIRED
)

message(STATUS "Checking libsndfile capabilities")
try_compile(SNDFILE_WORKS
    ${CMAKE_CURRENT_BINARY_DIR}/src/audio/check-libsndfile-capabilities
    ${CMAKE_CURRENT_SOURCE_DIR}/src/audio/check-libsndfile-capabilities.cpp
    CMAKE_FLAGS -DINCLUDE_DIRECTORIES=${SNDFILE_INCLUDE_DIR})
if (NOT SNDFILE_WORKS)
    message(FATAL_ERROR "Your version of libsndfile (found in " ${SNDFILE_LIBRARIES} ") is too old. At least version 0.21 is needed.")
endif (NOT SNDFILE_WORKS)

message (STATUS "INCLUDES FOR SOUND:  " ${OPENAL_INCLUDE_DIR} " " ${SNDFILE_INCLUDE_DIR})
message (STATUS "LIBRARIES FOR SOUND: " ${OPENAL_LIBRARY} " " ${SNDFILE_LIBRARIES})
set(KGAUDIO_LINKLIBS ${OPENAL_LIBRARY} ${SNDFILE_LIBRARIES})
set(KGAUDIO_BACKEND openal)
set(KGAUDIO_BACKEND_OPENAL TRUE) # for configure_file() below

add_definitions(-DTRANSLATION_DOMAIN="libkdegames5")

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.98
    KCOREADDONS 5.73 # KRandomSequence, cannot be removed
)

add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

ki18n_install(po)

file(GLOB_RECURSE CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/private/CMakeLists.txt ===
set(kdegamesprivate_INCLUDE_INSTALL_DIR ${kdegames_INCLUDE_INSTALL_DIR}/libkdegamesprivate)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

ecm_qt_export_logging_category(
    IDENTIFIER GAMES_PRIVATE
    CATEGORY_NAME org.kde.games.private
    DESCRIPTION "libkdegamesprivate"
    EXPORT KDEGAMES
)

ecm_qt_export_logging_category(
    IDENTIFIER GAMES_PRIVATE_KGAME
    CATEGORY_NAME org.kde.games.private.kgame
    DESCRIPTION "libkdegamesprivate KGame"
    EXPORT KDEGAMES
)

add_library(KF5KDEGamesPrivate SHARED)

ecm_generate_export_header(KF5KDEGamesPrivate
    EXPORT_FILE_NAME libkdegamesprivate_export.h
    BASE_NAME KDEGAMESPRIVATE
    VERSION ${KDEGAMES_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 3.2 4.9 7.3 7.4
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_sources(KF5KDEGamesPrivate PRIVATE
    kchatbase.cpp
    kchatbaseitemdelegate.cpp
    kchatbasemodel.cpp
    kgame/kgamechat.cpp
    kgame/kgame.cpp
    kgame/kgameerror.cpp
    kgame/kgameio.cpp
    kgame/kgamemessage.cpp
    kgame/kgamenetwork.cpp
    kgame/kgameproperty.cpp
    kgame/kgamepropertyhandler.cpp
    kgame/kgamesequence.cpp
    kgame/kmessageclient.cpp
    kgame/kmessageio.cpp
    kgame/kmessageserver.cpp
    kgame/kplayer.cpp
    kgamecanvas.cpp
    kgamedifficulty.cpp
    kgamesvgdocument.cpp
    kgametheme.cpp
    kgamethemeselector.cpp
)

ki18n_wrap_ui(KF5KDEGamesPrivate
    kgamethemeselector.ui
)

target_link_libraries(KF5KDEGamesPrivate
    PUBLIC
        KF5KDEGames
        KF5::Completion
        Qt${QT_MAJOR_VERSION}::Xml
        Qt${QT_MAJOR_VERSION}::Network
    PRIVATE
        KF5::DNSSD
        KF5::NewStuffWidgets
        KF5::Archive
        KF5::XmlGui
)
if (TARGET Qt6::Core5Compat)
    target_link_libraries(KF5KDEGamesPrivate PRIVATE Qt6::Core5Compat)
endif()


target_include_directories(KF5KDEGamesPrivate
    INTERFACE
        "$<INSTALL_INTERFACE:${kdegamesprivate_INCLUDE_INSTALL_DIR}>"
    PRIVATE
        kgame
)

set_target_properties(KF5KDEGamesPrivate PROPERTIES
    VERSION   ${KDEGAMES_VERSION}
    SOVERSION ${KDEGAMES_SOVERSION}
)

install(TARGETS KF5KDEGamesPrivate
    EXPORT KF5KDEGamesTargets
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/libkdegamesprivate_export.h
    kchatbase.h
    kchatbaseitemdelegate.h
    kchatbasemodel.h
    kgamecanvas.h
    kgamedifficulty.h
    kgamesvgdocument.h
    kgametheme.h
    kgamethemeselector.h
    DESTINATION ${kdegamesprivate_INCLUDE_INSTALL_DIR}
    COMPONENT Devel
)

install(FILES
    kgame/kgamechat.h
    kgame/kgameerror.h
    kgame/kgame.h
    kgame/kgameio.h
    kgame/kgamemessage.h
    kgame/kgamenetwork.h
    kgame/kgameproperty.h
    kgame/kgamepropertyhandler.h
    kgame/kgamesequence.h
    kgame/kgameversion.h
    kgame/kmessageclient.h
    kgame/kmessageio.h
    kgame/kmessageserver.h
    kgame/kplayer.h
    DESTINATION ${kdegamesprivate_INCLUDE_INSTALL_DIR}/kgame
    COMPONENT Devel
)

=== debian/changelog ===
libkdegames (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:03 +0100

libkdegames (4:22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Update upstream repository references in debian/upstream/metadata.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 11:11:41 +0100

libkdegames (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:40:09 +0100

libkdegames (4:22.12.0-3) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Update the symbols files from the logs of buildds.
  * Update the build dependencies according to the upstream build system:
    - drop libkf5declarative-dev, no more used
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Thu, 15 Dec 2022 07:45:44 +0100

libkdegames (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:58 +0100

libkdegames (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * Added myself to the uploaders.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from build logs.
  * New upstream release (22.12.0).
  * Update symbols from build for 22.12.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:07 +0100

=== debian/control ===
Source: libkdegames
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 5.98.0~),
               gettext,
               libkf5archive-dev (>= 5.98.0~),
               libkf5completion-dev (>= 5.98.0~),
               libkf5config-dev (>= 5.98.0~),
               libkf5configwidgets-dev (>= 5.98.0~),
               libkf5dnssd-dev (>= 5.98.0~),
               libkf5guiaddons-dev (>= 5.98.0~),
               libkf5i18n-dev (>= 5.98.0~),
               libkf5iconthemes-dev (>= 5.98.0~),
               libkf5newstuff-dev (>= 5.98.0~),
               libkf5service-dev (>= 5.98.0~),
               libkf5widgetsaddons-dev (>= 5.98.0~),
               libkf5xmlgui-dev (>= 5.98.0~),
               libopenal-dev,
               libqt5svg5-dev (>= 5.15.0~),
               libsndfile1-dev,
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkdegames
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkdegames.git

Package: kdegames-card-data-kf5
Architecture: all
Section: games
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: card decks for KDE games
 This package contains a collection of playing card themes for KDE card games.
 .
 This package is part of the KDE games module.

Package: libkf5kdegames-dev
Architecture: any
Section: libdevel
Depends: libkf5completion-dev (>= 5.98.0~),
         libkf5configwidgets-dev (>= 5.98.0~),
         libkf5kdegames7 (= ${binary:Version}),
         libkf5kdegamesprivate7 (= ${binary:Version}),
         libkf5widgetsaddons-dev (>= 5.98.0~),
         qtbase5-dev (>= 5.15.0~),
         qtdeclarative5-dev (>= 5.15.0~),
         ${misc:Depends},
Multi-Arch: same
Description: development files for the KDE games library
 This package contains development files for building software that uses
 libraries from the KDE games module.
 .
 This package is part of the KDE games module.

Package: libkf5kdegames7
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: shared library for KDE games
 This package contains a shared library used by KDE games.
 .
 This package is part of the KDE games module.

Package: libkf5kdegamesprivate7
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: private part of shared library for KDE games
 This package contains the private parts of the shared library used by KDE
 games.
 .
 This package is part of the KDE games module.

Package: qml-module-org-kde-games-core
Architecture: any
Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: kde-games-core QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-games-core to components written
 in QML.
 .
 This package is part of the KDE games module.

=== debian/rules ===
#!/usr/bin/make -f

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

%:
	dh $@

execute_after_dh_auto_install:
	# don't install extra license files
	find debian/tmp \( -name AUTHORS -o -name COPYING -o -name COPYRIGHT \) -print -delete

override_dh_auto_test:
	xvfb-run -a dh_auto_test

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## libkdegames 23.08.0

=== debian/changelog ===
libkdegames (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:00:38 +0100

libkdegames (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:40:05 +0100

libkdegames (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:56:06 +0100

libkdegames (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:02:16 +0100

libkdegames (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:44:53 +0000

libkdegames (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:27:51 -0600

libkdegames (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:20:45 +0000

libkdegames (4:22.12.0-3ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Keep Kubuntu symbols files.
    - libkf5kdegames-data package for translations.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Dec 2022 14:09:32 +0000

libkdegames (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:16:41 +0000

libkdegames (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:12:52 +0000

libkdegames (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:55:39 +0000

libkdegames (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:15:41 +0000

## libkdegames 23.08.1

=== debian/changelog ===
libkdegames (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:05:37 +0100

## libkdegames 23.08.4

=== debian/changelog ===
libkdegames (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:21:49 +0000

libkdegames (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:42:15 +0000

libkdegames (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:38:09 +0100

## libkdegames 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,13 @@
 include(ECMDeprecationSettings)
 include(FeatureSummary)
 include(CMakePackageConfigHelpers)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+    set(KF_MIN_VERSION "5.240.0")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
+endif()
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Widgets
@@ -38,7 +45,7 @@
     find_package(Qt6Core5Compat)
 endif()
 
-find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Archive
     Completion
     Config
@@ -55,7 +62,12 @@
 
 include(InternalMacros)
 
+# reset to 0 once all deprecated API has been removed on full switch to Qt6
+if (QT_MAJOR_VERSION STREQUAL "6")
+set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 7.5.0 CACHE STRING "Control the range of deprecated API excluded from the build [default=7.5.0].")
+else()
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
+endif()
 
 set(HIGHSCORE_DIRECTORY "" CACHE STRING "Where to install system-wide highscores e.g. /var/games")
 
@@ -90,7 +102,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 5.15.2
-    KF 5.98
+    KF 5.103
     KCOREADDONS 5.73 # KRandomSequence, cannot be removed
 )

=== src/CMakeLists.txt ===
if (QT_MAJOR_VERSION STREQUAL "5")
    set(kdegames_INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KDEGames)
    set(KDEGAMES_CMAKECONFIG_NAME "KF5KDEGames")
    set(KDEGAMES_OUTPUT_NAME KF5KDEGames)
    set(KDEGAMES_EXPORT_NAME KF5KDEGames)
else()
    set(kdegames_INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR}/KDEGames6)
    set(KDEGAMES_CMAKECONFIG_NAME "KDEGames6")
    set(KDEGAMES_OUTPUT_NAME KDEGames6)
    set(KDEGAMES_EXPORT_NAME KDEGames6)
endif()

add_subdirectory(carddecks)
add_subdirectory(qml)
add_subdirectory(private)

configure_file(libkdegames_capabilities.h.in ${CMAKE_CURRENT_BINARY_DIR}/libkdegames_capabilities.h)
configure_file(highscore/config-highscore.h.in ${CMAKE_CURRENT_BINARY_DIR}/highscore/config-highscore.h )

add_library(KDEGames SHARED)

target_sources(KDEGames PRIVATE
    audio/kgaudioscene-${KGAUDIO_BACKEND}.cpp
    audio/kgsound-${KGAUDIO_BACKEND}.cpp
    audio/virtualfileqt-${KGAUDIO_BACKEND}.cpp
    colorproxy_p.cpp colorproxy_p.h
#   highscore/kconfigrawbackend.cpp
    highscore/khighscore.cpp highscore/khighscore.h
    highscore/kscoredialog.cpp highscore/kscoredialog.h
    kgameclock.cpp kgameclock.h
    kgamepopupitem.cpp kgamepopupitem.h
    kgamerendereditem.cpp kgamerendereditem.h
    kgamerenderedobjectitem.cpp kgamerenderedobjectitem.h
    kgamerendererclient.cpp kgamerendererclient.h
    kgamerenderer.cpp kgamerenderer.h
    kgdeclarativeview.cpp kgdeclarativeview.h
    kgimageprovider.cpp
    kgdifficulty.cpp kgdifficulty.h
    kgtheme.cpp kgtheme.h
    kgthemeprovider.cpp kgthemeprovider.h
    kgthemeselector.cpp kgthemeselector.h
    kstandardgameaction.cpp kstandardgameaction.h
)

ecm_generate_headers(kdegames_CamelCase_HEADERS
    HEADER_NAMES
        KGameClock
        KGamePopupItem
        KGameRenderedItem
        KGameRenderedObjectItem
        KGameRenderer
        KGameRendererClient
        KgDeclarativeView
        KgDifficulty,KgDifficultyLevel
        KgTheme
        KgThemeProvider
        KgThemeSelector
        KStandardGameAction
    REQUIRED_HEADERS kdegames_HEADERS
)

ecm_generate_headers(kdegames_CamelCase_HEADERS
    HEADER_NAMES
        KHighscore
        KScoreDialog
    RELATIVE highscore
    PREFIX highscore
    REQUIRED_HEADERS kdegames_highscore_HEADERS
)

ecm_generate_headers(kdegames_CamelCase_HEADERS
    HEADER_NAMES
        KgAudioScene
        KgSound
    RELATIVE audio
    REQUIRED_HEADERS kdegames_HEADERS
)

ecm_qt_export_logging_category(
    IDENTIFIER GAMES_LIB
    CATEGORY_NAME org.kde.games.lib
    DESCRIPTION "libkdegames"
    EXPORT KDEGAMES
)

ecm_qt_export_logging_category(
    IDENTIFIER GAMES_UI
    CATEGORY_NAME org.kde.games.ui
    DESCRIPTION "libkdegames UI"
    EXPORT KDEGAMES
)

ecm_qt_export_logging_category(
    IDENTIFIER GAMES_HIGHSCORE
    CATEGORY_NAME org.kde.games.highscore
    DESCRIPTION "libkdegames Highscore"
    EXPORT KDEGAMES
)

if (QT_MAJOR_VERSION STREQUAL "5")
    set(_generate_export_header_version_args)
else()
    # For Qt6/KF6 world transitively include the version header
    if(ECM_VERSION VERSION_LESS "5.106")
        set(include_version_header_code "#include <kdegames_version.h>\n")
        set(_generate_export_header_version_args CUSTOM_CONTENT_FROM_VARIABLE include_version_header_code)
    else()
        set(_generate_export_header_version_args USE_VERSION_HEADER)
    endif()
endif()
ecm_generate_export_header(KDEGames
    EXPORT_FILE_NAME libkdegames_export.h
    BASE_NAME KDEGAMES
    VERSION ${KDEGAMES_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 4.1 7.4 7.5
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
    ${_generate_export_header_version_args}
)

target_link_libraries(KDEGames
    PUBLIC
        Qt${QT_MAJOR_VERSION}::Widgets
        Qt${QT_MAJOR_VERSION}::QuickWidgets
        Qt${QT_MAJOR_VERSION}::Qml
        KF${KF_MAJOR_VERSION}::ConfigCore
        KF${KF_MAJOR_VERSION}::I18n
        KF${KF_MAJOR_VERSION}::WidgetsAddons
        KF${KF_MAJOR_VERSION}::ConfigWidgets
    PRIVATE
        ${KGAUDIO_LINKLIBS}
        Qt${QT_MAJOR_VERSION}::Xml
        Qt${QT_MAJOR_VERSION}::Svg
        Qt${QT_MAJOR_VERSION}::Quick
        KF${KF_MAJOR_VERSION}::NewStuffWidgets
        KF${KF_MAJOR_VERSION}::IconThemes
        KF${KF_MAJOR_VERSION}::XmlGui
        KF${KF_MAJOR_VERSION}::GuiAddons
        KF${KF_MAJOR_VERSION}::Completion
)

target_include_directories(KDEGames
    INTERFACE
        "$<INSTALL_INTERFACE:${kdegames_INCLUDE_INSTALL_DIR}>"
    PRIVATE
        ${OPENAL_INCLUDE_DIR}
        ${SNDFILE_INCLUDE_DIR}
        highscore
        ${CMAKE_CURRENT_BINARY_DIR}/highscore
)

ecm_setup_version(${KDEGAMES_VERSION}
    VARIABLE_PREFIX KDEGAMES
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdegames_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/${KDEGAMES_CMAKECONFIG_NAME}ConfigVersion.cmake"
    COMPATIBILITY SameMajorVersion
    SOVERSION ${KDEGAMES_SOVERSION}
)

set_target_properties(KDEGames PROPERTIES
    OUTPUT_NAME ${KDEGAMES_OUTPUT_NAME}
    EXPORT_NAME ${KDEGAMES_EXPORT_NAME}
    VERSION   ${KDEGAMES_VERSION}
    SOVERSION ${KDEGAMES_SOVERSION}
)

install(TARGETS KDEGames EXPORT KDEGamesTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install(FILES kgthemeprovider-migration.upd
    DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR}
)

install(FILES ${kdegames_CamelCase_HEADERS}
    DESTINATION ${kdegames_INCLUDE_INSTALL_DIR}
    COMPONENT Devel
)

install(FILES
    ${kdegames_highscore_HEADERS}
    DESTINATION ${kdegames_INCLUDE_INSTALL_DIR}/highscore
    COMPONENT Devel
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/libkdegames_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/libkdegames_capabilities.h
    ${kdegames_HEADERS}
    DESTINATION ${kdegames_INCLUDE_INSTALL_DIR}
    COMPONENT Devel
)

########### generate exports ###############

# define the installation directory for the CMake files
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/${KDEGAMES_CMAKECONFIG_NAME}")

# create the Config.cmake and ConfigVersion.cmake files
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KDEGamesConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/${KDEGAMES_CMAKECONFIG_NAME}Config.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/${KDEGAMES_CMAKECONFIG_NAME}Config.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/${KDEGAMES_CMAKECONFIG_NAME}ConfigVersion.cmake"
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT Devel
)

install(EXPORT KDEGamesTargets
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    FILE ${KDEGAMES_CMAKECONFIG_NAME}Targets.cmake
    COMPONENT Devel
)
	
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdegames_version.h
    DESTINATION ${kdegames_INCLUDE_INSTALL_DIR}
    COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT KDEGAMES
    FILE libkdegames.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

remove_definitions(
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
)

MACRO(LIBKDEGAMES_EXECUTABLE_TESTS)
       FOREACH(_testname ${ARGN})
               set(${_testname}_SRCS ${_testname}.cpp)
               #if test has an ui file, use it
               IF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_testname}.ui)
                  ki18n_wrap_ui(${_testname}_SRCS ${_testname}.ui)
               ENDIF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_testname}.ui)

               add_executable(${_testname} TEST ${${_testname}_SRCS})
               target_link_libraries(${_testname} Qt${QT_MAJOR_VERSION}::Test KDEGames)
       ENDFOREACH(_testname)
ENDMACRO(LIBKDEGAMES_EXECUTABLE_TESTS)

if (Q_WS_X11)
LIBKDEGAMES_EXECUTABLE_TESTS(
#    kxerrorhandlertest # File missing from svn
#     kgamepopupitemtest
)
endif (Q_WS_X11)

=== src/carddecks/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Friedrich W. H. Kossebau <kossebau@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

function(install_carddeck id)
    set(options AUTHORS COPYING COPYRIGHT)
    set(oneValueArgs PREVIEW SVG)
    set(multiValueArgs)
    cmake_parse_arguments(ARG "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})

    set(output_dir "${CMAKE_CURRENT_BINARY_DIR}/${id}")
    file(MAKE_DIRECTORY "${output_dir}")
    set(svgz "${output_dir}/${ARG_SVG}z")
    generate_svgz("${id}/${ARG_SVG}" ${svgz} "carddeck-${id}-")
    set(copyright_files)
    if (ARG_COPYRIGHT)
        list(APPEND copyright_files "${id}/COPYRIGHT")
    endif()
    if (ARG_COPYING)
        list(APPEND copyright_files "${id}/COPYING")
    endif()
    if (ARG_AUTHORS)
        list(APPEND copyright_files "${id}/AUTHORS")
    endif()
    install(
        FILES
            ${copyright_files}
            ${id}/index.desktop
            ${id}/${ARG_PREVIEW}
            ${svgz}
        DESTINATION ${KDE_INSTALL_DATADIR}/carddecks/${id}
    )
endfunction()

install_carddeck(svg-ancient-egyptians      PREVIEW 11.png              SVG Ancient_Egyptians.svg)
install_carddeck(svg-dondorf                PREVIEW 11.png              SVG dondorf.svg)
install_carddeck(svg-future                 PREVIEW 11.png              SVG future.svg)
install_carddeck(svg-gm-paris               PREVIEW 11.png              SVG paris.svg)
install_carddeck(svg-jolly-royal            PREVIEW 11.png              SVG jolly-royal.svg)
install_carddeck(svg-konqi-modern           PREVIEW 11.png              SVG konqi.svg)
install_carddeck(svg-nicu-ornamental        PREVIEW 11.png              SVG ornamental.svg  AUTHORS COPYING)
install_carddeck(svg-nicu-white             PREVIEW 11.png              SVG white.svg  AUTHORS COPYING)
install_carddeck(svg-oxygen                 PREVIEW 11.png              SVG oxygen.svg)
install_carddeck(svg-oxygen-air             PREVIEW 11.png              SVG oxygen-air.svg)
install_carddeck(svg-oxygen-white           PREVIEW 11.png              SVG oxygen-white.svg)
install_carddeck(svg-penguins               PREVIEW 11.png              SVG penguins.svg  COPYRIGHT)
install_carddeck(svg-standard               PREVIEW 11.png              SVG standard.svg)
install_carddeck(svg-tigullio-international PREVIEW queen-of-hearts.png SVG tigullio-international.svg)
install_carddeck(svg-xskat-french           PREVIEW 11.png              SVG french.svg  COPYRIGHT)
install_carddeck(svg-xskat-german           PREVIEW 11.png              SVG german.svg  COPYRIGHT)

=== src/qml/CMakeLists.txt ===
set(corebindingsplugin_QML_INSTALL_DIR ${KDE_INSTALL_QMLDIR}/org/kde/games/core)

add_library(corebindingsplugin SHARED)

target_sources(corebindingsplugin PRIVATE
    corebindingsplugin.cpp corebindingsplugin.h
)

target_link_libraries(corebindingsplugin
    PRIVATE
        KDEGames
        Qt${QT_MAJOR_VERSION}::Qml
)

install(TARGETS corebindingsplugin
    DESTINATION ${corebindingsplugin_QML_INSTALL_DIR}
)
install(DIRECTORY qml/
    DESTINATION ${corebindingsplugin_QML_INSTALL_DIR}
)

=== src/private/tests/CMakeLists.txt ===
include(ECMAddTests)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

remove_definitions(
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
)

configure_file(config-tests.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-tests.h)

if (TARGET Qt6::Core5Compat)
    set(PRIVATE_LIBS Qt6::Core5Compat)
endif()

ecm_add_tests(
    kgamesvgdocumenttest.cpp
    kgamepropertytest.cpp
    NAME_PREFIX "libkdegamesprivate-"
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF${KF_MAJOR_VERSION}::CoreAddons KDEGamesPrivate ${PRIVATE_LIBS}
)

=== debian/changelog ===
libkdegames (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:03:43 +0000

libkdegames (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:35:25 +0000

libkdegames (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:22:39 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libkdegames
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16.0~),
                debhelper-compat (= 13),
@@ -29,19 +30,30 @@
                qtdeclarative5-dev (>= 5.15.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkdegames
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkdegames.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
 
 Package: kdegames-card-data-kf5
 Architecture: all
 Section: games
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: card decks for KDE games
  This package contains a collection of playing card themes for KDE card games.
+ .
+ This package is part of the KDE games module.
+
+Package: libkf5kdegames-data
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
+Description: shared library for KDE games - data files
+ This package contains a shared library used by KDE games.
  .
  This package is part of the KDE games module.
 
@@ -66,7 +78,9 @@
 Package: libkf5kdegames7
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: libkf5kdegames-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: shared library for KDE games
  This package contains a shared library used by KDE games.
  .
@@ -75,7 +89,9 @@
 Package: libkf5kdegamesprivate7
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5kdegamesprivate1 (<< 4:21.03.90~)
+Replaces: libkf5kdegamesprivate1 (<< 4:21.03.90~)
 Description: private part of shared library for KDE games
  This package contains the private parts of the shared library used by KDE
  games.
@@ -84,7 +100,7 @@
 
 Package: qml-module-org-kde-games-core
 Architecture: any
-Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends},
+Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: kde-games-core QtDeclarative QML support
  Contains a plugin for QtDeclarative that provides

## libkdegames 24.08.2

=== debian/changelog ===
libkdegames (4:24.08.2-2ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 18:01:03 -0500

libkdegames (4:24.08.2-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update symbols from buildds for 24.08.2.
  * Fix version information in symbols file.

 -- Sandro Knauß <hefee@debian.org>  Sat, 12 Oct 2024 14:00:09 +0200

libkdegames (4:24.08.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (24.08.2).
  * Install qml module in dev packages for qml detection.
  * Use qmldepends to detect QML dependencies.
  * Update copyright information.

 -- Sandro Knauß <hefee@debian.org>  Sat, 12 Oct 2024 11:16:16 +0200

libkdegames (4:24.05.2-3) experimental; urgency=medium

  * Add breaks/replaces for kdegames-card-data-kf5 (Closes: #1078104)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 08 Aug 2024 01:26:10 -0700

libkdegames (4:24.05.2-2) experimental; urgency=medium

  [ Scarlett Moore ]
  * Rename the game card data package to drop kf6 and move 
    localization files into a i18n package. Add the missing 
    depends to the lib packages for the i18n.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 07 Aug 2024 03:04:25 -0700

libkdegames (4:24.05.2-1) experimental; urgency=medium

  [ Debian Qt/KDE Maintainers ]
  * New upstream release (24.05.2).

  [ Scarlett Moore ]
  * Add myself to uploaders.
  * Update dependencies according to cmake.
  * Create new packages for kf6.
  * Generate new symbols files.
  * Refresh copyright.
  * Add hardening flags to rules.
  * Add bug information to metadata.
  * Fix description lengths.
  * Bump standards version; no changes required.

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 30 Jul 2024 16:36:06 -0700

=== debian/control ===
Source: libkdegames
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6archive-dev (>= 6.0.0~),
               libkf6colorscheme-dev (>= 6.0.0~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6dnssd-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6newstuff-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libopenal-dev,
               qt6-svg-dev (>= 6.5.0~),
               libsndfile1-dev,
               pkg-kde-tools (>= 0.14),
               qml6-module-qtquick,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames

Package: kdegames-card-data
Architecture: all
Section: games
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: kdegames-card-data-kf5
Replaces: kdegames-card-data-kf5
Description: card decks for KDE games
 This package contains a collection of playing card themes
 for KDE card games.
 .
 This package is part of the KDE games module.

Package: libkdegames6-i18n
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Localiztion files for the KDE games library
 This package contains localization files.
 .
 This package is part of the KDE games module.

Package: libkdegames6-dev
Architecture: any
Section: libdevel
Depends: libkf6completion-dev (>= 6.0.0~),
         libkf6configwidgets-dev (>= 6.0.0~),
         libkdegames6-6 (= ${binary:Version}),
         libkdegames6private6 (= ${binary:Version}),
         libkf6colorscheme-dev (>= 6.0.0~),
         qml6-module-org-kde-games-core (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         qt6-declarative-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Multi-Arch: same
Description: development files for the KDE games library
 This package contains development files for building
 software that uses libraries from the KDE games module.
 .
 This package is part of the KDE games module.

Package: libkdegames6-6
Architecture: any
Multi-Arch: same
Depends: libkdegames6-i18n (= ${source:Version}),
         ${misc:Depends}, ${shlibs:Depends},
Description: shared library for KDE games
 This package contains a shared library used by KDE games.
 .
 This package is part of the KDE games module.

Package: libkdegames6private6
Architecture: any
Multi-Arch: same
Depends: libkdegames6-i18n (= ${source:Version}),
         ${misc:Depends}, ${shlibs:Depends},
Description: private part of shared library for KDE games
 This package contains the private parts of the shared
 library used by KDE
 games.
 .
 This package is part of the KDE games module.

Package: qml6-module-org-kde-games-core
Architecture: any
Depends: ${qml6:Depends}, ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: kde-games-core QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-games-core to components written
 in QML.
 .
 This package is part of the KDE games module.

## libkdegames 24.12.0

=== debian/changelog ===
libkdegames (4:24.12.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Build depend on qt6-declarative-private-dev

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 20 Dec 2024 19:48:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libkdegames
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
 Build-Depends: cmake (>= 3.16.0~),
@@ -30,13 +29,14 @@
                qml6-module-qtquick,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://games.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkdegames
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkdegames.git
 
 Package: kdegames-card-data
 Architecture: all

## libkdegames 24.12.1

=== debian/changelog ===
libkdegames (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 05:36:40 +0000

libkdegames (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:22:46 +0000

libkdegames (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 12:57:27 +0000

libkdegames (4:24.11.80-0ubuntu2) plucky; urgency=medium

  * Rebuild against openal-soft 1.23.1

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 13:51:24 +0000

libkdegames (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 12:21:01 +0000

libkdegames (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:47:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libkdegames
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
 Build-Depends: cmake (>= 3.16.0~),
@@ -23,20 +24,19 @@
                libkf6newstuff-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
                libopenal-dev,
-               qt6-svg-dev (>= 6.5.0~),
                libsndfile1-dev,
                pkg-kde-tools (>= 0.14),
                qml6-module-qtquick,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+               qt6-svg-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkdegames
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkdegames.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
 
 Package: kdegames-card-data
 Architecture: all
@@ -63,11 +63,11 @@
 Package: libkdegames6-dev
 Architecture: any
 Section: libdevel
-Depends: libkf6completion-dev (>= 6.0.0~),
-         libkf6configwidgets-dev (>= 6.0.0~),
-         libkdegames6-6 (= ${binary:Version}),
+Depends: libkdegames6-6 (= ${binary:Version}),
          libkdegames6private6 (= ${binary:Version}),
          libkf6colorscheme-dev (>= 6.0.0~),
+         libkf6completion-dev (>= 6.0.0~),
+         libkf6configwidgets-dev (>= 6.0.0~),
          qml6-module-org-kde-games-core (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          qt6-declarative-dev (>= 6.5.0+dfsg~),

## libkdegames 24.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,48 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
-set(KDEGAMES_VERSION 7.5.0)
-set(KDEGAMES_SOVERSION 7)
+# Release Service version, managed by release script
+set(RELEASE_SERVICE_VERSION_MAJOR "24")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 
-project(libkdegames VERSION ${KDEGAMES_VERSION})
+# generate patch level from release service version
+set(_micro ${RELEASE_SERVICE_VERSION_MICRO})
+if (_micro LESS "10")
+    string(PREPEND _micro "0") # pad with 0
+endif()
+set(RELEASE_SERVICE_BASED_PATCHLEVEL "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${_micro}")
 
-set (QT_MIN_VERSION "5.15.0")
-set (KF_MIN_VERSION "5.98.0")
+set(LIBKDEGAMES_VERSION_LIB "6.0")
+
+
+project(libkdegames VERSION "${LIBKDEGAMES_VERSION_LIB}.${RELEASE_SERVICE_BASED_PATCHLEVEL}")
+if (APPLE)
+    # until now we didn't build on macos in 6.x
+    # => change version for macos will not create problem
+    # if we want to add new feature we will increase LIBKDEGAMES_VERSION_LIB
+
+    # Code stoled to kdevelop
+    # The math expression below automatically increments libkdegame minor version in each KDE Gear release.
+    # The multiplier 3 is the number of releases that share ${RELEASE_SERVICE_VERSION_MAJOR}.
+    # The fraction assigns consecutive minor versions to the 3 releases - 04, 08 and 12. The rounding up groups
+    # pre-release versions with the corresponding final release versions: 03 with 04, 07 with 08 and 11 with 12.
+    # The final subtrahend at the end of the expression ensures version continuity: libkdegames 6.0 in KDE Gear 24.08.
+    math(EXPR LIBKDEGAME_OWN_MINOR_VERSION "${RELEASE_SERVICE_VERSION_MAJOR} * 3                  \
+                                          + (${RELEASE_SERVICE_VERSION_MINOR} + 4 - 3) / 4      \
+                                          - 74")
+    ###################################################################################
+    # Kludge for bug #448152: ld: malformed 64-bit a.b.c.d.e version number: 5.7.211201
+    # Apple's linker uses the project version (not the SOVERSION) to calculate an
+    # unsigned int in such a way that places restrictions on the magnitude of each tier
+    # of the version string.
+    # See here: https://www.sicpers.info/2013/03/how-to-version-a-mach-o-library/
+    ###################################################################################
+    project(libkdegames VERSION "${LIBKDEGAMES_VERSION_LIB}.${LIBKDEGAME_OWN_MINOR_VERSION}${_micro}")
+endif()
+
+
+set(QT_MIN_VERSION "6.5.0")
+set(KF_MIN_VERSION "6.0.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
@@ -23,30 +59,21 @@
 include(ECMGenerateExportHeader)
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
+include(ECMQmlModule)
 include(FeatureSummary)
 include(CMakePackageConfigHelpers)
-if (QT_MAJOR_VERSION STREQUAL "6")
-    set(QT_REQUIRED_VERSION "6.4.0")
-    set(KF_MIN_VERSION "5.240.0")
-    set(KF_MAJOR_VERSION "6")
-else()
-    set(KF_MAJOR_VERSION "5")
-endif()
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
     Widgets
     Qml
     Quick
-    QuickWidgets
     Svg
     Test
 )
-if (QT_MAJOR_VERSION STREQUAL "6")
-    find_package(Qt6Core5Compat)
-endif()
 
-find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Archive
+    ColorScheme
     Completion
     Config
     ConfigWidgets
@@ -55,19 +82,12 @@
     IconThemes
     I18n
     NewStuff
-    Service
     XmlGui
-    WidgetsAddons
 )
 
 include(InternalMacros)
 
-# reset to 0 once all deprecated API has been removed on full switch to Qt6
-if (QT_MAJOR_VERSION STREQUAL "6")
-set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 7.5.0 CACHE STRING "Control the range of deprecated API excluded from the build [default=7.5.0].")
-else()
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
-endif()
 
 set(HIGHSCORE_DIRECTORY "" CACHE STRING "Where to install system-wide highscores e.g. /var/games")
 
@@ -98,12 +118,11 @@
 set(KGAUDIO_BACKEND openal)
 set(KGAUDIO_BACKEND_OPENAL TRUE) # for configure_file() below
 
-add_definitions(-DTRANSLATION_DOMAIN="libkdegames5")
+add_definitions(-DTRANSLATION_DOMAIN="libkdegames6")
 
 ecm_set_disabled_deprecation_versions(
-    QT 5.15.2
-    KF 5.103
-    KCOREADDONS 5.73 # KRandomSequence, cannot be removed
+    QT 6.8.0
+    KF 6.7
 )
 
 add_subdirectory(src)
@@ -119,4 +138,4 @@
 
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
libkdegames (4:24.12.2-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 02 Mar 2025 18:54:35 +0100

libkdegames (4:24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 15 Jan 2025 23:31:14 +0100
